Method: projects.locations.goldengateConnectionAssignments.test

Tests a single GoldengateConnectionAssignment.

HTTP request


POST https://oracledatabase.googleapis.com/v1/{name=projects/*/locations/*/goldengateConnectionAssignments/*}:test

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. Name of the connection assignment for which to test connection. projects/{project}/locations/{region}/goldengateConnectionAssignments/{goldengateConnectionAssignment}

Request body

The request body contains data with the following structure:

JSON representation
{
  "type": enum (TestType)
}
Fields
type

enum (TestType)

Optional. The type of the test of the assigned connection. The only type actually supported is DEFAULT.

Response body

The result of the connectivity test performed between the Goldengate deployment and the associated database / service.

If successful, the response body contains data with the following structure:

JSON representation
{
  "resultType": enum (ResultType),
  "error": {
    object (TestConnectionAssignmentError)
  },
  "errors": [
    {
      object (TestConnectionAssignmentError)
    }
  ]
}
Fields
resultType

enum (ResultType)

Type of the result i.e. Success, Failure or Timeout.

error

object (TestConnectionAssignmentError)

Error details if test connection failed.

errors[]

object (TestConnectionAssignmentError)

List of test connection assignment error objects.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/oracle-database

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • oracledatabase.goldenGateConnectionAssignments.test

For more information, see the IAM documentation.

TestType

The type of test to perform.

Enums
TEST_TYPE_UNSPECIFIED The default value. This value is unused.
DEFAULT The default connection test.

ResultType

Type of the result.

Enums
RESULT_TYPE_UNSPECIFIED Result type is unspecified.
SUCCEEDED Test connection succeeded.
FAILED Test connection failed.
TIMED_OUT Test connection timed out.

TestConnectionAssignmentError

Error details for goldengateConnectionAssignments.test.

JSON representation
{
  "code": string,
  "message": string,
  "action": string,
  "issue": string
}
Fields
code

string

A short error code that defines the error, meant for programmatic parsing.

message

string

A human-readable error message.

action

string

The text describing the action required to fix the issue.

issue

string

The text describing the root cause of the reported issue.